spring:
  application:
    name: '@project.name@'
    system: utils
    environment: local
    version: '@project.version@'
    build: '@timestamp@'

  data:
    mongodb:
      uri: mongodb://mongodb-master:27017
      database: mbo

  jmx:
    default-domain: @project.artifactId@

security:
  oauth2:
    jwt:
      issuer: ${service.cas-baseurl}/prihlasenie
      url: ${security.oauth2.jwt.issuer}/
      kid: ${security.oauth2.jwt.issuer}#jwt_signing
      appId: aml
      activityCheckEnabled: true
      activityCheckUrl: ${security.oauth2.jwt.issuer}/oauth/token/introspection
      authUsername: utils
      authPassword: heslo
    login:
      loginUri: ${security.oauth2.jwt.issuer}/oauth/token
      grantType: password
      scope: openid
      clientId: pss_springboot_example
      clientUsername: 117777700009
      clientPassword: Heslo123
      authUsername: ${security.oauth2.jwt.authUsername}
      authPassword: ${security.oauth2.jwt.authPassword}

service:
  cas-baseurl: https://login-d.pss.sk:2449
  email:
    url: https://utils-dev.pss.sk/email/api

server:
  forward-headers-strategy: framework
  error.include-message: always

springdoc:
  swagger-ui:
    disable-swagger-default-url: true
    display-request-duration: true
    try-it-out-enabled: true
    urls:
      - name: mbo
        url: /api.yaml

logging:
  level:
    sk.pss.shared: DEBUG
#    sun.net.www.protocol.http: debug
    org.springframework.data.mongodb.core.MongoTemplate: DEBUG
#    root: debug

management:
  endpoints:
    web:
      exposure:
        include: '*'
      cors:
        allowed-origins: '*'
        allowed-methods: GET, OPTIONS
        allowed-headers: '*'
